ros-noetic-husky-description (0.6.3-1focal) focal; urgency=high

  * Added Blackfly
  * Added blackfly description dependancy
  * Realsense will no longer add the Sensor Arch (#220 <https://github.com/husky/husky/issues/220>)
    * Add parent link env-var to imu
    * Sensor Arch is only enabled by HUSKY_SENSOR_ARCH, changed default realsense mount frame to
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 May 2022 04:00:00 -0000

ros-noetic-husky-description (0.6.2-1focal) focal; urgency=high

  * Added Wibotic mesh and STL
  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Luis Camero, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.1-1focal) focal; urgency=high

  * Fixed error in URDF
  * Added Hokuyo
  * Check launch file only if testing
    When building husky_control, husky_description, husky_navigation or
    husky_viz without tests, CMake fails as it does not find
    catkin_run_tests_target command. This patch adds conditions to fix
    this problem.
  * Revert changes to mount_base_link to preserve use of origin argument; instead, simply created an additional plate link that sits between the supports and VLP16
  * Create visual geometry of vlp16_mount_base_link
  * Update mount support dimensions and spacing to better represent real-world measurements
  * [husky_description] Fixed malformed STL warning for top_plate.stl.
  * Contributors: Alexandre Iooss, Luis Camero, Tony Baltovski, jyang-cpr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 28 Sep 2021 04:00:00 -0000

ros-noetic-husky-description (0.5.1-1focal) focal; urgency=high

  * cpr urdf extras
  * Remove the need to explicitly specify the laser_enabled, realsense_enabled, and urdf_extras arguments; use the envars to make it easier to simulate customized robots & use the moveit setup assistant.
  * Update intel_realsense.urdf.xacro
    modify image format in sim to avoid log warn spam
  * Add HUSKY_{FRONT|REAR}_BUMPER envars we can use to completely turn off the front & rear bumpers.  This is requested to make integration of the wireless charging docks easier
  * Add VLP16, secondary LMS1xx support (#164 <https://github.com/husky/husky/issues/164>)
    * Minimal refactor to add VLP16 + secondary LMS1xx support. Update defaults for the laser_enabled and realsense_enabled args to refer to the underlying envars to improve consistency when launching simulations. Modify the sensor bar to allow it to be positioned in the center by default, but with configurable xyz and rpy offsets
    * Add the new run dependencies
    * Remove the prefix's trailing underscore in the vlp16 mount to make it consistent. Fix an inconsistent envar for the sensor arch, add an arg to explicitly enable it, to stay internally consistent with the rest of Husky.
    * Fix the envars; its just HUSKY_LMS1XX, not HUSKY_LASER_LMS1XX
    * Revert to enabling the main laser by default in the simulations, add the velodyne_gazebo_plugins dependency
  * Add the ability to add the sensor bar with an envar without adding the realsense.  Add the sensor bar height as another arg + envar, fix the URDF when the 300mm sensorbar is enabled.
  * Contributors: Chris I-B, Ebrahim Shahrivar, vamshi konduri

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Sep 2021 04:00:00 -0000

ros-noetic-husky-description (0.5.0-1focal) focal; urgency=high

  * Update husky.urdf.xacro (#169 <https://github.com/husky/husky/issues/169>)
    Fix Failed to build tree: child link [base_laser_mount] of joint [laser_mount_joint] not found error.
    As found on https://answers.ros.org/question/354219/failed-to-build-tree-child-link-base_laser_mount-of-joint-laser_mount_joint-not-found/
  * Contributors: Guido Sanchez

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Aug 2021 04:00:00 -0000

ros-noetic-husky-description (0.4.4-1focal) focal; urgency=high

  * Remove support for the Kinect for Xbox 360. We've had the deprecation warning around for a while, so let's finally do it.  Realsense support is in-place as a drop-in replacement that gets added to the top rollbar, just like the old Kinect would have.
  * Changed intertial to inertial
    fixed a minor typo
  * Removed Paul Bovbel as maintainer.
  * Fix the warnings the ROS buildfarm was giving for Melodic
  * Add support for some environment variables to override realsense defaults
  * Use the STL from realsense2_description, rotated as necessary. Add realsense2_description to the dependencies
  * Refactor so that the sensor bar only gets added once if either the realsense OR the kinect is enabled. Adding both will still cause issues because they'll mount to the same point on the bracket, but at least the URDF won't fail.
  * Finish adding the simulated realsense to the topbar, add support for the physical realsense. Tidy up some parameters that were copied in last night but not yet configured.
  * Mark the Kinect for Xbox 360 as deprecated, start adding support for the Intel Realsense D400 series as a replacement
  * Contributors: Cedric Martens, Chris I-B, Chris Iverach-Brereton, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-noetic-husky-description (0.4.3-1focal) focal; urgency=high

  * Fixed GazeboRosControlPlugin missing error
  * Contributors: lerolynn

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-noetic-husky-description (0.4.2-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-noetic-husky-description (0.4.1-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-noetic-husky-description (0.4.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-noetic-husky-description (0.3.4-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-noetic-husky-description (0.3.3-1focal) focal; urgency=high

  * Fixed bumper extensions, cleaned up collision meshes
  * Contributors: Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-noetic-husky-description (0.3.2-1focal) focal; urgency=high

  * Added some additional frames on the top plates and an environment variable for diabling the user rails
  * Added env var to allow a 7cm forward bumper extension (#92 <https://github.com/husky/husky/issues/92>)
    * Added env var to allow for extendable front bumper
    * Fix weird spacing
    * Uploaded bumper extension meshes
    * Allowed for different lengths of bumper extensions
  * Contributors: Dave Niewinski, Guy Stoppi

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-noetic-husky-description (0.3.1-1focal) focal; urgency=high

  * Removed unnecessary dae objects and duplicate vertices
  * Contributors: Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-noetic-husky-description (0.3.0-1focal) focal; urgency=high

  * Updated all package versions to 0.2.6.
  * Added a large top plate (used for waterproofing upgrade and UR5 upgrade) and an environment variable for controlling it HUSKY_LARGE_TOP_PLATE
  * changed Husky wheel radius, a Husky outdoor tire is 13 inchs (0.3302m)
  * [husky_description] Updated inertial parameters.
  * [husky_description] Fixed depreciated syntax.
  * Remove defunct email address
  * Updated maintainers.
  * Changes for xacro updates in kinetic.
  * Add interface definitions
  * Purge more UR; Implement urdf_extras
  * Update URDF for multirobot
  * Move packages into monorepo for kinetic; strip out ur packages
  * wheel.urdf.xacro: swap iyy, izz inertias
    Fixes #34 <https://github.com/husky/husky/issues/34>.
  * Contributors: Dave Niewinski, Martin Cote, Paul Bovbel, Steven Peters, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-noetic-husky-description (0.2.7-1focal) focal; urgency=high

  * Fixed indent.
  * Added Sick LMS1XX URDF.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-noetic-husky-description (0.2.6-1focal) focal; urgency=high

  * Adjust Kinect angle so it doesn't hit top plate
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-noetic-husky-description (0.2.5-1focal) focal; urgency=high

  * Add standard mount for lms1xx
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Apr 2015 04:00:00 -0000

ros-noetic-husky-description (0.2.4-1focal) focal; urgency=high

  * Add argument to enable/disable top plate
  * Fix sensor arch name
  * Fix conflict with underlay
    When using -z check, underlayed instances of husky_gazebo would override overlays.
  * Update top plate model
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 13 Apr 2015 04:00:00 -0000

ros-noetic-husky-description (0.2.3-1focal) focal; urgency=high

  * Integrate husky_customization workflow
  * Disable all accessories by default
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-noetic-husky-description (0.2.2-1focal) focal; urgency=high

  * Fix package urls
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-noetic-husky-description (0.2.1-1focal) focal; urgency=high

  * Port stl to dae format, removing material/gazebo colours
  * Make base_footprint a child of base_link
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-noetic-husky-description (0.2.0-1focal) focal; urgency=high

  * Add Kinect, UR5 peripherals
  * Contributors: Paul Bovbel, Devon Ash

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-noetic-husky-description (0.1.2-1focal) focal; urgency=high

  * Update maintainers and description
  * Get rid of chassis_link, switch to base_footprint and base_link
  * Switch to NED orientation for UM6 standard package
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-noetic-husky-description (0.1.1-1focal) focal; urgency=high

  * Remove multirobot changes, experiment later
  * Contributors: Paul Bovbel

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-noetic-husky-description (0.1.0-1focal) focal; urgency=high

  * Major refactor for indigo release:
    * base_link is now located on the ground plane, while chassis_link
    * refactored joint names for consistency with Jackal and Grizzly for ros_control
    * moved plugins requiring gazebo dependencies to husky_gazebo (imu, gps, lidar, ros_control)
    * initial prefixing for multirobot
  * Contributors: Alex Bencz, James Servos, Mike Purvis, Paul Bovbel, Prasenjit Mukherjee, y22ma

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-noetic-husky-description (0.0.2-1focal) focal; urgency=high

  * Renamed /models folder to /meshes to follow the convention of other gazebo simulation packages.
  * Changed the base.urdf.xacro to use base_footprint as the parent frame. For some reason, the new Gazebo paints all parts the same color as base_link when base_link is the parent.

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 30 Sep 2013 04:00:00 -0000

ros-noetic-husky-description (0.0.1-1focal) focal; urgency=high

  * Move to model-only launchfile.
  * Catkinize package, add install targets.
  * husky_description moved up to repository root.

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Wed, 11 Sep 2013 04:00:00 -0000


